-- Customer specific once-script ARAI.
--
-- verwijder kenmerken van kenmerksoort 'Evenement' (key 283) die niet nummeriek zijn.

SET ECHO ON
SPOOL xARAI#36350.lst
SET DEFINE OFF

DELETE mld_kenmerkmelding
 WHERE mld_kenmerkmelding_key IN
             (SELECT mld_kenmerkmelding_key
                FROM (SELECT mld_kenmerkmelding_key,
                             LENGTH(TRIM(TRANSLATE (
                                            mld_kenmerkmelding_waarde,
                                            '0123456789',
                                            ' '
                                         )))
                                niet_numm
                        FROM mld_kenmerkmelding mk, mld_kenmerk k
                       WHERE mk.mld_kenmerk_key = k.mld_kenmerk_key
                         AND k.mld_srtkenmerk_key = 283)
               WHERE niet_numm IS NOT NULL);

COMMIT;               

BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
